[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TComponentList.Insert

Insert a new component in the list

## Declaration

Source position: contnrs.pp line 112

`public procedure TComponentList.Insert(`
`Index: Integer;`
`AComponent: TComponent`
`);`

## Arguments

`Index` |  | Position in the list where the component should be inserted
`AComponent` |  | Component instance to insert.

## Description

Insert inserts a TComponent instance (AComponent) in the list at position Index. It simply overrides the parent implementation so it only accepts TComponent instances. It introduces no new behaviour.

## Errors

None.

## See also

TObjectList.Insert |  | Insert an object in the list.
TComponentList.Add |  | Add a component to the list.
TComponentList.Remove |  | Remove a component from the list, possibly destroying it.